Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing.owldl
Class NoMetaclassOWLDLTest

    java.lang.Object
      edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
          edu.stanford.smi.protegex.owl.testing.owldl.NoMetaclassOWLDLTest

All Implemented Interfaces:
  OWLDLTest, OWLTest, RDFSClassTest

    public class NoMetaclassOWLDLTest

extends AbstractOWLTest
implements OWLDLTest, RDFSClassTest

Author:
  Holger Knublauch

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`SANITY_GROUP`

Fields inherited from interface edu.stanford.smi.protegex.owl.testing.OWLDLTest
`GROUP`

Constructor Summary
`NoMetaclassOWLDLTest()`

Method Summary
`static boolean` | `fails(RDFSClass aClass)`
`List` | `test(RDFSClass aClass)` Performs a check of a given RDFSClass.

Methods inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`getDocumentation, getGroup, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.testing.OWLTest
`getDocumentation, getGroup, getName`

Methods inherited from interface edu.stanford.smi.protegex.owl.testing.OWLTest
`getDocumentation, getGroup, getName`

Constructor Detail

### NoMetaclassOWLDLTest

    public NoMetaclassOWLDLTest()

Method Detail

### fails

    public static boolean fails(RDFSClass aClass)

### test

    public List test(RDFSClass aClass)

  Description copied from interface: `RDFSClassTest`
  Performs a check of a given RDFSClass.

  Specified by:
    `test` in interface `RDFSClassTest`
  Parameters:
    `aClass` - the RDFSClass to check
  Returns:
    a list of OWLTestResult objects

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.